@version: 3.19
# This is a custom syslog-ng configuration file, based in
# https://github.com/syslog-ng/syslog-ng/blob/master/packaging/debian/syslog-ng.conf
# First, set some global options.
options {
    chain_hostnames(off);
    flush_lines(0);
    use_dns(no);
    use_fqdn(no);
    owner("root");
    group("adm");
    perm(0640);
    stats_freq(0);
    bad_hostname("^gconfd$");
    ts-format("iso");
    time_zone("UTC");
    mark-freq(0);
    frac-digits(3);
};

source s_src {
    system();
    internal();
};

# console log:
destination d_console_log {
    usertty(*);
};
filter f_console_log {
    level(crit .. emerg)};
log {
    source(s_src);
    filter(f_console_log);
    destination(d_console_log);
};
# end of console log
